
CentralInversion::usage = "CentralInversion[c][g] is the transformation which 
sends every point of the figure g to the opposite side of the point c."

CentralInversion[c_?PointQ] @ g_ := MapAt[2 c - # &, g, Position[g, _?PointQ]] 

CentralInversion[l_List] @ g_ := CentralInversion[#] @ g & /@ l

