
CentreOfCurvature::usage = "CentreOfCurvature[f, u, du] gives the centre of 
the osculating circle of f: R -> R ^ 3 at f[u]."

CentreOfCurvature[f_, u_?NumberQ, du_:.01] := 
	Circumcentre[{f[u - du], f[u], f[u + du]}] 

CentreOfCurvature[f_, l_List, du_:.01] := CentreOfCurvature[f, #, du] & /@ l 

