
Centroid::usage = "Centroid[l] is the centre of mass of the points or complex 
numbers in l, which can be a list, line or polygon."

Centroid[h_List] := (Plus @@ h) / Length @ h

Centroid[Line @ l_] := Centroid @ l

Centroid[Polygon @l_] := Centroid @ l

