
Draw::usage = "Draw[f, opts], where f is a figure and opts are options for 
Show, displays the figure f on the screen in 2 dimensions."

Drawxy::usage = "Drawxy[f, opts], where f is a figure and opts are options for 
Show, displays the figure f on the screen in 2 dimensions. (Short form: Draw.)"

Drawxz::usage = "Drawxz[f, opts], where f is a figure and opts are options for
Show, displays the figure f on the screen as if it were projected onto the zx 
plane but in reverse order."

Drawyx::usage = "Drawyx[f, opts], where f is a figure and opts are options for
Show, displays the figure f on the screen in 2 dimensions in reverse order."

Drawyz::usage = "Drawyz[f, opts], where f is a figure and opts are options for
Show, displays the figure f on the screen as if it were projected onto the yz 
plane."

Drawzx::usage = "Drawzx[f, opts], where f is a figure and opts are options for
Show, displays the figure f on the screen as if it were projected onto the zx 
plane."

Drawzy::usage = "Drawzy[f, opts], where f is a figure and opts are options for
Show, displays the figure f on the screen as if it were projected onto the yz 
plane but in reverse order."

Draw[f_, opts___] := Show @ Graphics[PreDraw @ f, opts]

Drawxy[f_, opts___] := Show @ Graphics[PreDraw @ f, opts]

Drawxz[f_, opts___] := Show @ Graphics[PreDrawzx @ Reverse @ f, opts]

Drawyx[f_, opts___] := Show @ Graphics[PreDraw @ Reverse @ f, opts]

Drawyz[f_, opts___] := Show @ Graphics[PreDrawyz @ f, opts]

Drawzx[f_, opts___] := Show @ Graphics[PreDrawzx @ f, opts]

Drawzy[f_, opts___] := Show @ Graphics[PreDrawyz @ Reverse @ f, opts]


