
FaceEdgePairsAux @ face_ := {face, #}& /@ EdgesAroundFace[face]

FaceEdgePairs @ faces_ := Flatten[FaceEdgePairsAux /@ faces, 1]

FaceAtVertexForMidpointsOnFacesAux1[faces_, ci_] := 
	First @ Select[faces, SubsetQ[#, ci]& ]

FaceAtVertexForMidpointsOnFacesAux2[faces_, e_, b_] := 
	 Flatten[
		Position[
			FaceEdgePairs @ faces, 
			#
		] & /@ Thread[{e, b}] /. {} -> 0
	]

FaceAtVertexForMidpointsOnFaces[faces_, vertex_] := Module[
	{a, b, c, d, e},
	a = SortEdges[faces, vertex];
	b = RotateLeft @ Flatten[Thread @ {a, a}, 1];
	c = Union @ Flatten[#, 1]& /@ Partition[b, 2];
	d = FaceAtVertexForMidpointsOnFacesAux1[faces, #] & /@ c;
	e = Flatten[Thread @ {d, d}, 1];
	FaceAtVertexForMidpointsOnFacesAux2[faces, e, b] + 
	FaceAtVertexForMidpointsOnFacesAux2[faces, e, Reverse /@ b]
]

FaceAtFaceForMidpointsOnFaces[faces_, face_] := 
	Flatten[
		Position[
			FaceEdgePairs @ faces, 
			{face, #} 
		] & /@ EdgesAroundFace @ face
	]

FacesForMidpointsOnFaces @ {faces_, vertices_} := Join[
	FaceAtVertexForMidpointsOnFaces[faces, #] & /@ 
		Range[Length @ vertices], 
	FaceAtFaceForMidpointsOnFaces[faces, #]& /@ faces
]

