
HalfTurn::usage = "2D: HalfTurn[p][g] is the rotation of the figure g through 
pi about the point p.
3D: HalfTurn[l][g] is the rotation of the figure g through pi about the line 
l."

HalfTurn[p_?PointQ] @ g_ := MapAt[2 p - # &, g, Position[g, _?PointQ]] 

HalfTurn[l_Line] @ g_ := Rotate[N[Pi], l] @ g

HalfTurn[l_List] @ g_ := HalfTurn[#] @ g & /@ l

Halfturn = HalfTurn;

