
Longitudes::usage = "Longitudes[{u0, u1, du}, {v0, v1, dv}] (in complex) gives 
a list of parts of great circles on the sphere through the north and south 
poles betweenthe angles u0 and u1 with a spacing of du. The parts are 
delimited by the latitudes at the angles v0 and v1 with a spacing of dv.
Longitudes[f, m, n, c] (in surfaces) is the image of m vertical lines of 
colour c with n points each under the mapping f: R ^ 2 -> R ^ 3."

Longitudes[{u0_, u1_, du_}, {v0_, v1_, dv_}] := 
	 Line /@ SphereTriples[{u0, u1, du}, {v0, v1, dv}] 

