
VerticesOnEdges[{faces_, vertices_}, t_] := 
	VertexOnEdge @ {#, vertices, t}& /@ EdgesAroundFaces[faces]

VerticesAtMidpoints @ {faces_, vertices_} := 
	VertexAtMidpoint @ {#, vertices} & /@ 
		RemoveDuplicateEdges[EdgesAroundFaces @ faces]

VerticesOnFace @ {face_, vertices_, t_} := 
	VertexOnFace @ {#, vertices, t}& /@ 
		NestList[RotateLeft, face, Length @ face - 1]

VerticesOnFaces[{faces_, vertices_}, t_] := 
	Flatten[VerticesOnFace @ {#, vertices, t}& /@ faces, 1]

