
Curvature::usage = "Curvature[f, u, du] gives the reciprocal of the radius of 
curvature of f: R -> R ^ 3 at f[u]."

Curvature[f_, u_?NumberQ, du_:.01] := 1 / RadiusOfCurvature[f, u, du]

Curvature[f_, l_List, du_:.01] := Curvature[f, #, du] & /@ l 

