
RadiusOfCurvature::usage = "RadiusOfCurvature[f, u, du] gives the radius of 
the osculating circle of f: R -> R ^ 3 at f[u]."

RadiusOfCurvature[f_, u_?NumberQ, du_:.01] := 
	Distance[CentreOfCurvature[f, u, du], f[u]] 

RadiusOfCurvature[f_, l_List, du_:.01] := RadiusOfCurvature[f, #, du] & /@ l 
