
AngleBisector::usage = "AngleBisector[{p, q, r}], where p, q and r are points, 
is the line cutting the angle between the line from q to p and the line from q 
to r in half."

AngleBisector @ {p_, q_, r_} := 
	Rotate[.5 SignedAngle @ {p, q, r}, q] @ Line[{q, p}] 

