
( Octahedron /: OppositeVertex[Octahedron, v_] := Module[
	{m = Mod[v + 3, 6]}, 
	If[m == 0, 6, m]
	]
)

Octahedron /: Valence[Vertices, 	Octahedron] = 4
Octahedron /: Valence[Edges, 		Octahedron] = 2
Octahedron /: Valence[Faces, 		Octahedron] = 3

Octahedron /: Vef[Vertices, 		Octahedron] = 6
Octahedron /: Vef[Edges, 		Octahedron] = 12
Octahedron /: Vef[Faces, 		Octahedron] = 8

( Octahedron /: Edges[Octahedron] = {
	{1, 2}, 	{2, 3}, 	{3, 1},
	{1, 3}, 	{3, 5},		{5, 1},
	{1, 5}, 	{5, 6}, 	{6, 1},
	{6, 1}, 	{6, 2}, 	{2, 1}, 
	{4, 2}, 	{2, 3}, 	{3, 4},
	{4, 3}, 	{3, 5},		{5, 4},
	{4, 5}, 	{5, 6}, 	{6, 4},
	{6, 4}, 	{6, 4}, 	{2, 4}} )

( Octahedron /: FaceColours[Octahedron] = 
	{Red, Green, Blue, Cyan, Magenta, Yellow, Brown, Orange} )

( Octahedron /: ColourOpposites[Vertices, Octahedron] = 
	{Red, Blue, Green, Red, Blue, Green}; )

( Octahedron /: ColourOpposites[Edges, Octahedron] = {
	Blue, Red, Cyan,	Cyan, Green, Magenta, 
	Magenta, Red, Yellow,	Yellow, Green, Blue, 
	Green, Cyan, Magenta,	Magenta, Yellow, Red, 
	Cyan, Red, Blue,	Yellow, Blue, Green} )

( Octahedron /: ColourOpposites[Faces, Octahedron] = 
	{Red, Blue, Green, Magenta, Blue, Green, Red, Magenta} )

Null

