
RotatoryReflection::usage = "RotatoryReflection[a, l, w][g] is the rotation of 
the figure g through the angle a about the line l followed by reflection in 
the plane w. The axis l should be perpendicular to the plane w; this can be 
checked with Chop @ Cross[Vector[l], PlaneNormal[w]] == $o."

RotatoryReflection[a_, l_, w_] @ g_ := Reflect[w] @ Rotate[a, l] @ g

RotatoryInversion::usage = "RotatoryInversion[a, l, c][g] is the rotation of 
the figure g through the angle a about the line l followed by a central 
inversion about the point c. The axis l should pass through the center c; this 
can be checked with Chop @ Distance[c, l] == 0."

RotatoryInversion[a_, l_, c_] @ g_ := CentralInversion[c] @ Rotate[a, l] @ g 


