
Triangulate @ {x_, y_, z_} := Module[
	{X, Y, Z},
	X = .5 (y + z);
	Y = .5 (z + x);
	Z = .5 (x + y);
	{{x, Y, Z}, {X, y, Z}, {X, Y, z}, {X, Y, Z}}
]

TriangulateTwice @ {x_, y_, z_} := 
	Flatten[Triangulate /@ Triangulate[{x, y, z}], 1]

